LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XCompatibilityNames Interface Referencepublished

gives access to the sequence of compatibility names for an Addin function. More...

`import"XCompatibilityNames.idl";`

Inheritance diagram for XCompatibilityNames:

## Public Member Functions
sequence< com::sun::star::sheet::LocalizedName > | getCompatibilityNames ([in] string aProgrammaticName)
| returns the compatibility names of the specified function. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

gives access to the sequence of compatibility names for an Addin function.

Developers Guide
  Spreadsheet Documents - Compatibility Names

## Member Function Documentation

## ◆ getCompatibilityNames()

sequence< com::sun::star::sheet::LocalizedName > getCompatibilityNames | ( | [in] string | aProgrammaticName | ) |

returns the compatibility names of the specified function.

Compatibility names are localized names of AddIn functions that are used to import files from other applications.

If on import a localized function name is read, this list of compatibility names is used to find the internal name of the function. The current locale may differ from the locale used in the imported file, so the method XAddIn::getProgrammaticFuntionName() cannot be used here.

The order inside the sequence of compatibility names is used to prioritize the names. Initially the first compatibility name of each function is compared to the imported name (each function may provide a sequence of compatibility names - the first entry of all sequences is used). If no entry is equal, the second entry of each sequence is used and so on.

If a locale is not present in the sequence of compatibility names, the first entry of the sequence is used. So the method should return a sequence which contains first the entry representing the current locale.`TRUE`

Parameters

  aProgrammaticName | is the exact name of a method within its interface.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XCompatibilityNames.idl